Bug 501451 - netpbm: built against system jasper, but uses embedded jasper headers
netpbm: built against system jasper, but uses embedded jasper headers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Petr Šplíchal
http://nvd.nist.gov/nvd.cfm?cvename=C...
:
Depends On:
Blocks: CVE-2007-2721 516996
  Show dependency treegraph
 
Reported: 2009-05-19 04:37 EDT by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: netpbm-10.47.13-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: CVE-2007-2721
: 530120 554731 (view as bug list)
Environment:
Last Closed: 2010-05-12 13:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2009-05-19 04:37:45 EDT
CVE-2007-2721 issue seems to be back in the current rawhide:

LOG  :: netpbm-10.35.62-1.fc11.x86_64
LOG  :: /CoreOS/netpbm/Security/CVE-2007-2721-jasper-crash-in-jpc-qcx-getcompparms
FAIL :: Running 'jpeg2ktopam <broken.jpc >broken.jpc.pam' (Expected 0, got 139)
FAIL :: Running 'jpeg2ktopam <oukej.jpc >oukej.jpc.pam' (Expected 0, got 139)

RHTS job: http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=58389

+++ This bug was initially created as a clone of Bug #346501 +++

Common Vulnerabilities and Exposures assigned an identifier
CVE-2007-2721 to the following vulnerability:

The jpc_qcx_getcompparms function in jpc/jpc_cs.c for the JasPer
JPEG-2000 library (libjasper) before 1.900 allows remote
user-assisted attackers to cause a denial of service (crash) and
possibly corrupt the heap via malformed image files, as originally
demonstrated using imagemagick convert.
Comment 1 Bug Zapper 2009-06-09 12:05:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 10:23:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Petr Šplíchal 2010-04-28 02:39:22 EDT
The problems still present in netpbm-10.47.07-1.fc12.x86_64:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: TEST PROTOCOL
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Test run ID   : BKbrJTV
:: [   LOG    ] :: Package       : netpbm
:: [   LOG    ] :: Installed:    : netpbm-10.47.07-1.fc12.x86_64
:: [   LOG    ] :: Test started  : 2010-04-27 10:22:25
:: [   LOG    ] :: Test finished : 2010-04-27 10:23:56
:: [   LOG    ] :: Test name     : /CoreOS/netpbm/Sanity/converters
:: [   LOG    ] :: Distro:       : Fedora release 12 (Constantine)
:: [   LOG    ] :: Hostname      : localhost
:: [   LOG    ] :: Architecture  : x86_64

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Testing
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   FAIL   ] :: Testing pamtojpeg2k on test.pbm (Expected 0, got 139)
:: [   FAIL   ] :: Testing pamtojpeg2k on test.pgm (Expected 0, got 1)
:: [   FAIL   ] :: Testing pamtojpeg2k on test.ppm (Expected 0, got 139)
Comment 4 Fedora Update System 2010-05-04 10:02:46 EDT
netpbm-10.47.13-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/netpbm-10.47.13-1.fc13
Comment 5 Fedora Update System 2010-05-04 10:05:51 EDT
netpbm-10.47.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/netpbm-10.47.13-1.fc12
Comment 6 Fedora Update System 2010-05-04 10:07:38 EDT
netpbm-10.47.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/netpbm-10.47.13-1.fc11
Comment 7 Tomas Hoger 2010-05-04 10:14:31 EDT
I'm removing security keyword here.  Even though the crash was triggered by a reproducer for CVE-2007-2721, it wasn't related to that CVE.  The root cause of the problem was that even though netpbm was switched to use system jasper (bug #460300), header from embedded jasper copy was still used during the build.  Due to the difference in definition of certain structures (such as jas_image_t, bug #530120) between embedded and system jasper version, netpbm's converters to/from JPEG2000 format we crashing.
Comment 8 Fedora Update System 2010-05-06 03:04:01 EDT
netpbm-10.47.13-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netpbm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/netpbm-10.47.13-1.fc13
Comment 10 Fedora Update System 2010-05-06 23:59:58 EDT
netpbm-10.47.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netpbm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/netpbm-10.47.13-1.fc11
Comment 12 Fedora Update System 2010-05-11 15:44:27 EDT
netpbm-10.47.13-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netpbm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/netpbm-10.47.13-1.fc12
Comment 13 Fedora Update System 2010-05-12 13:52:22 EDT
netpbm-10.47.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-05-12 13:53:11 EDT
netpbm-10.47.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-05-12 13:56:37 EDT
netpbm-10.47.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.